Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.mom
Class JUObjectTypeHelper

`java.lang.Object
oracle.jbo.common.ObjectTypeHelper
oracle.jbo.uicli.mom.JUObjectTypeHelper`

All Implemented Interfaces:
  JUMetaObjectBase, MetaObjectBase

public class JUObjectTypeHelper
extends ObjectTypeHelper
implements JUMetaObjectBase

Internal: Applications should not use this class.

Field Summary

Fields inherited from class oracle.jbo.common.ObjectTypeHelper
`mNext`

Fields inherited from interface oracle.jbo.uicli.mom.JUMetaObjectBase
`TYP_APPLICATION, TYP_CONTROL_BINDING, TYP_DEF_APPLICATION, TYP_DEF_CONTROL_BINDING, TYP_DEF_DATACONTROL, TYP_DEF_DATACONTROL_CONFIG, TYP_DEF_FORM_BINDING, TYP_DEF_ITER_BINDING, TYP_DEF_SESSION, TYP_FORM_BINDING, TYP_ITER_BINDING, TYP_SESSION`

Fields inherited from interface oracle.jbo.common.MetaObjectBase
`TYP_APP_MODULE, TYP_ATTRIBUTE, TYP_ATTRIBUTE_LIST_WITH_DEF, TYP_COMPONENT_OBJECT, TYP_DEF_ANY, TYP_DEF_APP_MODULE, TYP_DEF_ATTRIBUTE, TYP_DEF_COMPONENT_OBJECT, TYP_DEF_DOMAIN, TYP_DEF_ENTITY_ASSOC, TYP_DEF_ENTITY_OBJECT, TYP_DEF_PACKAGE, TYP_DEF_VIEW_LINK, TYP_DEF_VIEW_OBJECT, TYP_DOMAIN, TYP_ENTITY_ASSOC, TYP_ENTITY_OBJECT, TYP_ENTITY_ROW, TYP_ENTITY_ROW_SET, TYP_ENTITY_ROW_SET_ITERATOR, TYP_ENTITY_USAGE, TYP_PACKAGE, TYP_TRANSACTION, TYP_VALIDATOR_TYPE, TYP_VARIABLE, TYP_VARIABLE_WHERE_CLAUSE, TYP_VIEW_CRITERIA, TYP_VIEW_LINK, TYP_VIEW_OBJECT, TYP_VIEW_ROW, TYP_VIEW_ROW_SET, TYP_VIEW_ROW_SET_ITERATOR`

Constructor Summary
`JUObjectTypeHelper()`

Method Summary
`protected java.lang.String` | `getInstTypeNameFromId(int id)`

Methods inherited from class oracle.jbo.common.ObjectTypeHelper
`getInstance, getTypeNameFromId, setExtension`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUObjectTypeHelper

    public JUObjectTypeHelper()

Method Detail

### getInstTypeNameFromId

    protected java.lang.String getInstTypeNameFromId(int id)

  Overrides:
    `getInstTypeNameFromId` in class `ObjectTypeHelper`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.